function f=hermite(x,f)

n=size(f,1);
d=zeros(n,1);
l=0;

for k=2:n
    if x(k-1)<x(k)
        l=0;
    elseif x(k-1)==x(k)
        l=l+1;
        d(k)=l;
    else
        error('Sttzstellen sind nicht geordnet!')
    end
end
tmp=f;
f(:)=f((1:n)-d');


for k=2:n
    for j=n:-1:k
        if abs(x(j)-x(j-k+1))>eps
            f(j)=(f(j)-f(j-1))/(x(j)-x(j-k+1));
        else
            f(j)=tmp(j-d(j)+k-1)/prod(1:k-1);
        end
    end
end